import { OnDestroy, OnInit, TemplateRef, ViewContainerRef } from '@angular/core';
import { Auth } from '../auth.service';
export declare class BbAuthenticated implements OnInit, OnDestroy {
    private _auth;
    private _template;
    private _viewContainerRef;
    private _subscription;
    constructor(_auth: Auth, _template: TemplateRef<any>, _viewContainerRef: ViewContainerRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
}
